WaMCP
Api referenceflows

Update Flow Json

Replace a flow's Flow JSON (drafts only) — returns Meta validation errors if any.

PUT
/api/flows/{flow_id}/json

Replace a flow's Flow JSON (drafts only) — returns Meta validation errors if any.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

flow_id*Flow Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/flows/string/json" \  -H "Content-Type: application/json" \  -d '{    "client_id": "string",    "flow_json": {}  }'
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}